Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.ejbql
Class ASTPath

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
          org.jboss.ejb.plugins.cmp.ejbql.ASTPath

public final class ASTPath
extends SimpleNode

This abstract syntax node represents a path declaration.

Version:
  $Revision: 1.4 $
Author:
  Dain Sundstrom

Field Summary
`List` | `fieldList`
`boolean` | `innerJoin`
`List` | `pathList`
`int` | `type`

Fields inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`children, id, parent`

Constructor Summary
`ASTPath(int id)`

Method Summary
`boolean` | `equals(Object o)`
`CMPFieldBridge` | `getCMPField()`
`CMRFieldBridge` | `getCMRField()`
`CMRFieldBridge` | `getCMRField(int i)`
`EntityBridge` | `getEntity()`
`EntityBridge` | `getEntity(int i)`
`FieldBridge` | `getField()`
`String` | `getPath()`
`String` | `getPath(int i)`
`int` | `hashCode()`
`boolean` | `isCMPField()`
`boolean` | `isCMRField()`
`boolean` | `isCMRField(int i)`
`Object` | `jjtAccept(JBossQLParserVisitor visitor, Object data)` Accept the visitor.
`int` | `size()`
`String` | `toString()`

Methods inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pathList

    public List pathList

### fieldList

    public List fieldList

### type

    public int type

### innerJoin

    public boolean innerJoin

Constructor Detail

### ASTPath

    public ASTPath(int id)

Method Detail

### getPath

    public String getPath()

### getPath

    public String getPath(int i)

### getField

    public FieldBridge getField()

### isCMPField

    public boolean isCMPField()

### getCMPField

    public CMPFieldBridge getCMPField()

### isCMRField

    public boolean isCMRField()

### isCMRField

    public boolean isCMRField(int i)

### getCMRField

    public CMRFieldBridge getCMRField()

### getCMRField

    public CMRFieldBridge getCMRField(int i)

### getEntity

    public EntityBridge getEntity()

### getEntity

    public EntityBridge getEntity(int i)

### size

    public int size()

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleNode`

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### jjtAccept

    public Object jjtAccept(JBossQLParserVisitor visitor,
                            Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.